<tr th:fragment="guest-entry(guest)" xmlns:hx="http://www.w3.org/1999/xhtml">
	<td th:text="${guest.firstName}">John</td>
	<td th:text="${guest.lastName}">Doe</td>
	<td th:text="${guest.phoneNumber}">555-555-555</td>
	<td>
		<button class="btn btn-primary"
				hx:get="@{/guests/{id}/edit(id=${guest.guestId})}">
			Edit
		</button>
	<td>
		<button class="btn btn-danger" hx-confirm="Are you sure?" hx-swap="outerHTML swap:1s"
				hx:delete="@{/guests/{id}(id=${guest.guestId})}">
			Delete
		</button>
	</td>
</tr>

<tr id="editGuest" th:fragment="guest-entry-edit(guest)" xmlns:hx="http://www.w3.org/1999/xhtml">
	<td>
		<input type="text" class="form-control" name="firstName" th:value="${guest.firstName}">
	</td>
	<td>
		<input type="text" class="form-control" name="lastName" th:value="${guest.lastName}">
	</td>
	<td>
		<input type="text" class="form-control" name="phoneNumber" th:value="${guest.phoneNumber}">
	</td>
	<td>
		<button class="btn btn-primary" hx:put="@{/guests/{id}(id=${guest.guestId})}" hx-include="closest tr"
				type="submit">
			Save
		</button>
	</td>
	<td>
		<button class="btn btn-danger" hx:get="@{/guests/{id}(id=${guest.guestId})}" hx-target="#editGuest">
			Cancel
		</button>
	</td>
</tr>

<tr th:fragment="guest-entry-list" th:insert="fragments/guests :: guest-entry(${guest})" th:each="guest : ${guests}">
